Skip to main content
GET
/
bots
/
{id}
/
files
/
content
curl "https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/files/content?path=index.js" \
  -H "Authorization: Bearer sess_..."
{
  "success": true,
  "data": {
    "path": "index.js",
    "content": "const { Client } = require('discord.js');\nconst client = new Client();\n...",
    "size_bytes": 1024
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.phanomcloud.online/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required
UUID of the bot.

Query Parameters

path
string
required
Relative path to the file inside the bot’s directory. Example: index.js or src/commands/ping.js.
curl "https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/files/content?path=index.js" \
  -H "Authorization: Bearer sess_..."
{
  "success": true,
  "data": {
    "path": "index.js",
    "content": "const { Client } = require('discord.js');\nconst client = new Client();\n...",
    "size_bytes": 1024
  }
}